# -*- coding: utf-8 -*-
from setuphelpers import *


def install():

    print('Check if curl is installed')

    if is_debian_based():
        install_apt('curl')
    else:
        install_yum('curl')

    print('Install repo and crowdsec')
    if is_debian_based():
        print(run('curl -s https://packagecloud.io/install/repositories/crowdsec/crowdsec/script.deb.sh | bash'))
        install_apt('crowdsec crowdsec-firewall-bouncer-iptables')
    else:
        print(run('curl -s https://packagecloud.io/install/repositories/crowdsec/crowdsec/script.rpm.sh | sudo bash'))
        install_yum('crowdsec crowdsec-firewall-bouncer-iptables')
        
    # If you use unattended-upgrade for Debian based, please add " "origin=CyberWatch,codename=any"; " in your configfile

def uninstall():
    if is_debian_based():
        uninstall_apt('crowdsec crowdsec-firewall-bouncer-iptables')
    else:
        uninstall_yum('crowdsec crowdsec-firewall-bouncer-iptables')
